import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Board001Service } from "app/views/board/board001/board001.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Board001Resolver implements Resolve<any> {
  constructor(private board001Service: Board001Service) {}

  resolve(): Observable<any> {

    return this.board001Service.selectedItem;
  }
}
